| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
poke.php File Reference

## Functions
| poke_init (&$a)
| poke_content (&$a)

## Function Documentation

poke_content | ( | & | $a | ) |

poke_init | ( | & | $a | ) |

Poke, prod, finger, or otherwise do unspeakable things to somebody - who must be a connection in your address book This function can be invoked with the required arguments (verb and cid and private and possibly parent) silently via ajax or other web request. You must be logged in and connected to a channel. If the required arguments aren't present, we'll display a simple form to choose a recipient and a verb. parent is a special argument which let's you attach this activity as a comment to an existing conversation, which may have started with somebody else poking (etc.) somebody, but this isn't necessary. This can be used in the adult plugin version to have entire conversations where Alice poked Bob, Bob fingered Alice, Alice hugged Bob, etc.

private creates a private conversation with the recipient. Otherwise your channel's default post privacy is used.